#ifndef	_COMMON_INC_
#define	_COMMON_INC_ 1

#include	<avr/io.h>

#define	_num_to_str(num)	#num
#define	num_to_str(num) 	_num_to_str(num)

#ifdef _SFR_IO8
#undef _SFR_IO8
#endif
#define _SFR_IO8(x) (x)

#ifdef _SFR_IO16
#undef _SFR_IO16
#endif
#define _SFR_IO16(x) (x)

#if ! defined(FOSC)
#	define FOSC (4000000/8)
#endif

.macro	BEGIN	lbl
.global	\lbl
.func	\lbl
\lbl:
.endm

.macro	RETURN
	RET
.endfunc
.endm

#define save_sreg	r0
#define cal_flag	r1

#define fcnt_1ms_h	r10
#define fcnt_1ms_l	r11
#define led_on		r12
#define dcnt_1ms	r13
#define sw_count	r14

#endif	/* _COMMON_INC_ */
